Package org.eclipse.debug.core.model

# Interface IBreakpointImportParticipant

public interface IBreakpointImportParticipant
This interface defines a breakpoint import participant.

Participants are used during a breakpoint import operation to specify how breakpoints of the associated marker type should be compared and how the breakpoint should be validated once it is decided it will be imported.

A breakpoint import participant it contributed via the `org.eclipse.debug.core.breakpointImportParticipants` extension point.

Following is an example of a breakpoint participant extension:

     <extension point="org.eclipse.debug.core.breakpointImportParticipants">
      <importParticipant
          participant="x.y.z.BreakpointImportParticipant"
          type="org.eclipse.jdt.debug.javaLineBreakpointMarker">
      </importParticipant>
     </extension>

Clients may implement this interface.

Since:
  3.5
See Also:
  - `IBreakpointManager`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(Map<String,Object> attributes, IBreakpoint breakpoint)`
Determines if the given attributes match the given breakpoint.
`void`
`verify(IBreakpoint breakpoint)`
Verifies the state of the breakpoint once it has been imported.

## Method Details

### matches

boolean matches(Map<String,Object> attributes, IBreakpoint breakpoint) throws CoreException
Determines if the given attributes match the given breakpoint.

Parameters:
  `attributes` - the map of raw breakpoint attributes read from the import memento
  `breakpoint` - the current breakpoint context in the import operation
Returns:
  true if the breakpoint matches the given attributes, false otherwise
Throws:
  `CoreException` - if an exception occurs

### verify

void verify(IBreakpoint breakpoint) throws CoreException
Verifies the state of the breakpoint once it has been imported. This method can be used to correct attributes of the imported breakpoint once it has been imported. For example: updating line number information or character ranges to ensure the marker appears correctly

Parameters:
  `breakpoint` - the breakpoint to be verified
Throws:
  `CoreException` - if an exception occurs